package com.style24.batch.biz.dao;

import com.style24.core.support.annotation.ShopDs;

/**
 * 전시 Dao
 *
 * @author bin2107
 * @since 2021. 3. 15
 */
@ShopDs
public interface TsbDisplayDao {

	/**
	 * TB_CATE_4SRCH 삭제
	 * @author bin2107
	 * @since 2021. 3. 15
	 */
	void deleteCate4srch();

	/**
	 * TB_CATE_4SRCH 생성
	 * @author bin2107
	 * @since 2021. 3. 15
	 */
	void createCate4srch();

	/**
	 * 카테고리별재고임시 테이블 truncate
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	void truncateTemporaryCategoryStock();

	/**
	 * 카테고리별재고 임시테이블에 생성
	 * @return 생성된 건수
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	int createTemporaryCategoryStock();

	/**
	 * 카테고리별재고 삭제
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	void deleteCategoryStock();

	/**
	 * 카테고리별재고 생성
	 * @return 생성된 건수
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	int createCategoryStock();

	/**
	 * 임시카테고리별검색필터 테이블 truncate
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	void truncateTemporaryCategoryFilter();

	/**
	 * 임시카테고리별검색필터 - 브랜드 생성
	 * @return 생성건수
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	int createTemporaryCategoryFilterBrand();

	/**
	 * 임시카테고리별검색필터 - 사이즈 생성
	 * @return 생성건수
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	int createTemporaryCategoryFilterSize();

	/**
	 * 임시카테고리별검색필터 - 가격 생성
	 * @return 생성건수
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	int createTemporaryCategoryFilterPrice();

	/**
	 * 임시카테고리별검색필터 - 연령대 생성
	 * @return 생성건수
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	int createTemporaryCategoryFilterAge();

	/**
	 * 임시카테고리별검색필터 - 시즌 생성
	 * @return 생성건수
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	int createTemporaryCategoryFilterSeason();

	/**
	 * 임시카테고리별검색필터 - 색상 생성
	 * @return 생성건수
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	int createTemporaryCategoryFilterColor();

	/**
	 * 임시카테고리별검색필터 - 혜택 생성
	 * @return 생성건수
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	int createTemporaryCategoryFilterBenefit();

	/**
	 * 임시브랜드별검색필터 - 사이즈 생성
	 * @return 생성건수
	 * @author bin2107
	 * @since 2021. 5. 28
	 */
	int createTemporaryBrandFilterSize();

	/**
	 * 임시브랜드별검색필터 - 가격 생성
	 * @return 생성건수
	 * @author bin2107
	 * @since 2021. 5. 28
	 */
	int createTemporaryBrandFilterPrice();

	/**
	 * 임시브랜드별검색필터 - 연령대 생성
	 * @return 생성건수
	 * @author bin2107
	 * @since 2021. 5. 28
	 */
	int createTemporaryBrandFilterAge();

	/**
	 * 임시브랜드별검색필터 - 시즌 생성
	 * @return 생성건수
	 * @author bin2107
	 * @since 2021. 5. 28
	 */
	int createTemporaryBrandFilterSeason();

	/**
	 * 임시브랜드별검색필터 - 색상 생성
	 * @return 생성건수
	 * @author bin2107
	 * @since 2021. 5. 28
	 */
	int createTemporaryBrandFilterColor();

	/**
	 * 임시브랜드별검색필터 - 혜택 생성
	 * @return 생성건수
	 * @author bin2107
	 * @since 2021. 5. 28
	 */
	int createTemporaryBrandFilterBenefit();

	/**
	 * 임시브랜드별 카테고리검색필터 - 사이즈 생성
	 * @return 생성건수
	 * @author bin2107
	 * @since 2021. 5. 28
	 */
	int createTemporaryBrandForCategoryFilterSize();

	/**
	 * 임시브랜드별 카테고리검색필터 - 가격 생성
	 * @return 생성건수
	 * @author bin2107
	 * @since 2021. 5. 28
	 */
	int createTemporaryBrandForCategoryFilterPrice();

	/**
	 * 임시브랜드별 카테고리검색필터 - 연령대 생성
	 * @return 생성건수
	 * @author bin2107
	 * @since 2021. 5. 28
	 */
	int createTemporaryBrandForCategoryFilterAge();

	/**
	 * 임시브랜드별 카테고리검색필터 - 시즌 생성
	 * @return 생성건수
	 * @author bin2107
	 * @since 2021. 5. 28
	 */
	int createTemporaryBrandForCategoryFilterSeason();

	/**
	 * 임시브랜드별 카테고리검색필터 - 색상 생성
	 * @return 생성건수
	 * @author bin2107
	 * @since 2021. 5. 28
	 */
	int createTemporaryBrandForCategoryFilterColor();

	/**
	 * 임시브랜드별 카테고리검색필터 - 혜택 생성
	 * @return 생성건수
	 * @author bin2107
	 * @since 2021. 5. 28
	 */
	int createTemporaryBrandForCategoryFilterBenefit();

	/**
	 * 카테고리별검색필터 삭제
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	void deleteCategoryFilter();

	/**
	 * 카테고리별검색필터 생성
	 * @return 생성건수
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	int createCategoryFilter();

	/**
	 * 최근등록된 상품 100개 삭제
	 * @author gagamel
	 * @since 2021. 7. 9
	 */
	void deleteRecentlyRegisterGoods();

	/**
	 * 최근등록된 상품 100개 생성
	 * @return 생성건수
	 * @author gagamel
	 * @since 2021. 4. 7
	 */
	int createRecentlyRegisterGoods();

	/**
	 * 몰 메인 컨텐츠 상품 삭제
	 *
	 * @author jmh
	 * @since 2021. 8. 13
	 */
	void deleteMainContentsGoods();

	/**
	 * 몰 메인 컨텐츠 상품생성
	 *
	 * @return 생성건수
	 * @author jmh
	 * @since 2021. 8. 13
	 */
	int createMainContentsGoods();
}
